#
# spec file for package logsurfer (Version 1.5a)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#


Name:           logsurfer
Version:        1.8
Release:        8%{?dist}
# License:        X11/MIT     # this was the old license, not sure if just MIT is right
# See BNC 779005 - unresolved license issue.  Must be resolved prior to factory submission
License:        MIT
Summary:        Powerful tool to observe logfiles
Url:            http://sourceforge.net/projects/logsurfer
Group:          Productivity/Security
Source:         logsurfer-%{version}.tar.gz
Source1:        logsurfer.conf
# PATCH-FIX-OPENSUSE logsurfer-fix-install.patch Greg.Freemyer@gmail.com -- create directories during install
Patch0:         logsurfer-fix-install.patch
# PATCH-FIX-UPSTREAM logsurfer-compile-fix.patch  Greg.Freemyer@gmail.com -- change runasdaemon() to void
Patch1:         logsurfer-compile-fix.patch
Provides:       logsurf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This program makes it possible to observe logfiles and to react on
special events, that can be defined by regular expressions, with a
defined action, e.g. to send a mail.

%package doc
Summary:        Regex documentation from the full regex package
Group:          Productivity/Security
Requires:       logsurfer

%description doc
Logsurfer uses the regex syntax and this sub-package includes a documentation file
from the full regex package that may be useful to understand the syntax.  The full
regex package is rather large and includes additional documentation.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
chmod -x contrib/start-mail/start-mail

%build
%configure --with-etcdir=/etc --disable-debug
make

%install
%if 0%{?rhel} < 6
%{__make} install DESTDIR=%{buildroot}
%else
%make_install
%endif
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logsurfer.conf

%files
%defattr(-,root,root,755)
%doc ChangeLog DISCLAIMER README TODO contrib
%defattr(-,root,root,-)
%{_bindir}/logsurfer
%config(noreplace) %{_sysconfdir}/logsurfer.conf
%doc %{_mandir}/man?/*

%files doc
%defattr(644,root,root,755)
%doc regex

%changelog
* Wed Oct 08 2014 Josko Plazonic <plazonic@princeton.edu>
- adapt for rhel type of distro
* Mon Sep 10 2012 Greg.Freemyer@gmail.com
- change names of patches per opensuse guidelines
* Wed Sep  5 2012 Greg.Freemyer@gmail.com
- run spec-cleaner
- add SLES support back in
* Wed Aug 22 2012 Greg.Freemyer@gmail.com
- logsurfer-double-free-fix.diff - dropped patch - now in upstream
- upgrade to v1.8
    Now just Logsurfer, not Logsurfer+ any more
    A bug fix and a couple of extra command-line options:
  - D command line option for daemon mode. Warning: closes stdin, stdout, & stderr, therefore no error messages
  - F command line option to auto re-open log file
* Mon Oct 17 2011 draht@suse.de
- logsurfer-double-free-fix.diff: fix for a double free
  vulnerability in sec/exec.c
* Fri Feb 26 2010 draht@suse.de
- rigorous cleanup of BuildRequires:
* Fri Feb 26 2010 draht@suse.de
- logsurfer+-1.7.
* Thu Oct 10 2002 draht@suse.de
- logsurfer-ob1-heap_plus_initialization.diff solves an off by one
  overflow and a bug caused by uninitialized memory (security).
* Thu May 17 2001 cihlar@suse.cz
- fixed cast warnings on ia64
* Wed Mar  7 2001 cihlar@suse.cz
- update to version 1.5a
* Wed Nov  8 2000 cihlar@suse.cz
- renamed to long name
- bzipped sources
- clean up spec file
* Wed Aug 16 2000 cihlar@suse.cz
- added BuildRoot
* Thu Mar  2 2000 choeger@suse.de
- new version 1.5 and mandir macro
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 29 1998 choeger@suse.de
- new package, v1.41
